<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelModifyResponse StructType
 * @subpackage Structs
 */
class HotelModifyResponse extends AbstractStructBase
{
    /**
     * The ModifyRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ModifyRS
     */
    public $ModifyRS;
    /**
     * Constructor method for HotelModifyResponse
     * @uses HotelModifyResponse::setModifyRS()
     * @param \StructType\JP_ModifyRS $modifyRS
     */
    public function __construct(\StructType\JP_ModifyRS $modifyRS = null)
    {
        $this
            ->setModifyRS($modifyRS);
    }
    /**
     * Get ModifyRS value
     * @return \StructType\JP_ModifyRS|null
     */
    public function getModifyRS()
    {
        return $this->ModifyRS;
    }
    /**
     * Set ModifyRS value
     * @param \StructType\JP_ModifyRS $modifyRS
     * @return \StructType\HotelModifyResponse
     */
    public function setModifyRS(\StructType\JP_ModifyRS $modifyRS = null)
    {
        $this->ModifyRS = $modifyRS;
        return $this;
    }
}
